-- By PeterJ (30-11-2010)

--edit key 0 to NP-key 0 by s4t4n (Sebastian S.   www.sbsh-photo.de) MR convert 01.12.2013

painelinfo = {};

function painelinfo.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function painelinfo:load(xmlFile)

	self.controlpath = Utils.getFilename("info.dds", self.baseDirectory);
    self.helpPoxX = 0.87;
    self.helpPoxY = 0.27;
    self.helpWidth = 0.12;
    self.helpHeight = 0.46;
    self.helpOverlay = Overlay:new("info", self.controlpath, self.helpPoxX, self.helpPoxY, self.helpWidth, self.helpHeight);
    self.bcActive = true;

end;

function painelinfo:keyEvent(unicode, sym, modifier, isDown)

		if isDown and sym == Input.KEY_KP_0 then -- NP Key: 0  (code 105)
			self.bcActive = not self.bcActive;
		end;

end;

function painelinfo:update(dt)

end;

function painelinfo:draw()

	 if self.helpOverlay ~= nil then
		if self.bcActive then
		self.helpOverlay:render();
		end;
	end;
		if self.bcActive then	
			g_currentMission:addExtraPrintText("Taste NUMPAD 0: Info Off");
		else
			g_currentMission:addExtraPrintText("Taste NUMPAD 0: Info On");
		end;

end;

function painelinfo:onEnter()
end;

function painelinfo:onLeave()
end;

function painelinfo:delete()
end;

function painelinfo:mouseEvent(posX, posY, isDown, isUp, button)
end;

function painelinfo:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;





